Make lttng_directory_handle reference countable
[lttng-tools.git] / tests / stress / test_multi_sessions_per_uid_10app
index c25e303b03e38690fe0d61a2aec9fb60e83b3d01..c9f8403e13e5c961a7775c2d59442d2faa329bf3 100755 (executable)
@@ -43,7 +43,7 @@ function enable_channel_per_uid()
 
 function check_sessiond()
 {
-       if [ -z "$(pidof lt-lttng-sessiond)" ]; then
+       if [ -z "$(pgrep --full lt-lttng-sessiond)" ]; then
                local str_date=$(date +%H%M%S-%d%m%Y)
 
                diag "!!!The session daemon died unexpectedly!!!"
@@ -57,15 +57,13 @@ function check_sessiond()
 
 function start_sessiond()
 {
-       local SESSIOND_BIN="lttng-sessiond"
-
        validate_kernel_version
        if [ $? -ne 0 ]; then
                fail "Start session daemon"
                BAIL_OUT "*** Kernel too old for session daemon tests ***"
        fi
 
-       if [ -z $(pidof lt-$SESSIOND_BIN) ]; then
+       if [ -z $(pgrep --full lt-$SESSIOND_BIN) ]; then
                # We have to start it like this so the ulimit -c is used by this
                # process. Also, we collect any error message printed out.
                $TESTDIR/../src/bin/lttng-sessiond/$SESSIOND_BIN --quiet --background --consumerd32-path="$TESTDIR/../src/bin/lttng-consumerd/lttng-consumerd" --consumerd64-path="$TESTDIR/../src/bin/lttng-consumerd/lttng-consumerd" >$LOG_FILE 2>&1
@@ -114,11 +112,10 @@ function sighandler()
 {
        cleanup
        rm $LOG_FILE
-       exit 1
+       full_cleanup
 }
 
-trap sighandler SIGINT
-trap sighandler SIGTERM
+trap sighandler SIGINT SIGTERM
 
 # Make sure we collect a coredump if possible.
 ulimit -c unlimited
This page took 0.024396 seconds and 5 git commands to generate.